<?php
namespace Zeedhi\DevOps\Model\Configurationmanager\Entities;

use Zeedhi\DevOps\Model\Util\LogicalDeletedIsActiveColumn;
use Zeedhi\DevOps\Util\Events\Audit\AuditAble;
use Zeedhi\DevOps\Util\Events\Organization\OrganizationAble;

class Release extends \Zeedhi\DevOps\Model\Configurationmanager\Entities\Base\Release
    implements OrganizationAble, AuditAble, LogicalDeletedIsActiveColumn {

    const HOMOLOGATED_STATUS     = 'H';
    const IN_HOMOLOGATION_STATUS = 'I';
    const UPDATE_FAIL_STATUS     = 'U';
    const PACKAGE_CREATED_STATUS = 'K';
    const OPENED_STATUS          = 'A';
    const POSITIVE_IS_ACTIVE     = 'Y';

    const IS_FIX_RELEASE         = 'Y';
    const NOT_FIX_RELEASE        = 'N';

    public function isLogicalDeleted()
    {
        return $this->getIsActive() == self::STATUS_LOGICAL_DELETED;
    }
}